| QCefView 1.0.7 A QWidget-based WebView Component Integrated with CEF

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QCefEvent

Represents the event sent from native context(C/C++ code) to the web context(javascript) More...

`#include <QCefEvent.h>`

## Public Member Functions
| QCefEvent ()
| Constructs an event instance.
| QCefEvent (const QString &name)
| Constructs an event instance with name.
| QCefEvent (const QCefEvent &other)
| Constructs an event instance from existing one.
QCefEvent & | operator= (const QCefEvent &other)
| Assigns an existing event instance to current.
| ~QCefEvent ()
| Destructs the event instance.
void | setEventName (const QString &name)
| Sets the event name.
const QString | eventName () const
| Gets the event name.
void | setArguments (const QVariantList &args)
| Sets the argument list.
QVariantList & | arguments ()
| Gets the argument list.

## Detailed Description

Represents the event sent from native context(C/C++ code) to the web context(javascript)

## Constructor & Destructor Documentation

## ◆ QCefEvent() [1/3]

QCefEvent::QCefEvent | ( |  | ) |

Constructs an event instance.

## ◆ QCefEvent() [2/3]

QCefEvent::QCefEvent | ( | const QString & | name | ) |

Constructs an event instance with name.

Parameters

  name | The event name

## ◆ QCefEvent() [3/3]

QCefEvent::QCefEvent | ( | const QCefEvent & | other | ) |

Constructs an event instance from existing one.

Parameters

  other | The other event instance

## ◆ ~QCefEvent()

QCefEvent::~QCefEvent | ( |  | ) |

Destructs the event instance.

## Member Function Documentation

## ◆ operator=()

QCefEvent & QCefEvent::operator= | ( | const QCefEvent & | other | ) |

Assigns an existing event instance to current.

Parameters

  other | The other event instance

## ◆ setEventName()

void QCefEvent::setEventName | ( | const QString & | name | ) |

Sets the event name.

Parameters

  name | The name to be set

## ◆ eventName()

const QString QCefEvent::eventName | ( |  | ) | const

Gets the event name.

Returns
  The event name

## ◆ setArguments()

void QCefEvent::setArguments | ( | const QVariantList & | args | ) |

Sets the argument list.

Parameters

  args | The argument list

## ◆ arguments()

QVariantList & QCefEvent::arguments | ( |  | ) |

Gets the argument list.

Returns
  The argument list